Package org.springframework.beans.factory.aot

# Enum Class AotServices.Source

java.lang.Object
java.lang.Enum<AotServices.Source>
org.springframework.beans.factory.aot.AotServices.Source

All Implemented Interfaces:
  `Serializable`, `Comparable<AotServices.Source>`, `Constable`

Enclosing class:
  AotServices<T>

public static enum AotServices.Source extends Enum<AotServices.Source>
Sources from which services were obtained.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BEAN_FACTORY`
An AOT service loaded from a `BeanFactory`.
`SPRING_FACTORIES_LOADER`
An AOT service loaded from `SpringFactoriesLoader`.

## Method Summary

Modifier and Type
Method
Description
`static AotServices.Source`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AotServices.Source[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SPRING_FACTORIES_LOADER

public static final AotServices.Source SPRING_FACTORIES_LOADER
An AOT service loaded from `SpringFactoriesLoader`.

### BEAN_FACTORY

public static final AotServices.Source BEAN_FACTORY
An AOT service loaded from a `BeanFactory`.

## Method Details

### values

public static AotServices.Source[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AotServices.Source valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null